/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2017 by Luigi Ziviani <luigi.ziviani@gmail.com>.            *
* All Rights Reserved.                            version 10.2.8                *
*********************************************************************************
* Id: fxmmKeyDialog.h,                            2008/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, see <http://www.gnu.org/licenses/>           *
********************************************************************************/

#ifndef FXMMKEYDIALOG_H
#define FXMMKEYDIALOG_H

//! The fileinputdialog class 

class fxmmKeyDialog : public FXDialogBox {
  FXDECLARE(fxmmKeyDialog)

protected:
  FXIcon            *cancelicon;
  FXIcon            *accepticon;
  FXVerticalFrame   *dialogframe;
  FXHorizontalFrame *inputframe;
  FXHorizontalFrame *buttonframe;
  FXTextField       *pw_input;

protected:
  fxmmKeyDialog(){};
private:
  fxmmKeyDialog(const fxmmKeyDialog&){};
  fxmmKeyDialog &operator=(const fxmmKeyDialog&){};

public:
  long onCmdAccept(FXObject*,FXSelector,void*);
  long onCmdCancel(FXObject*,FXSelector,void*);
  long onCmdFile(FXObject*,FXSelector,void*);

public:
  enum{
    ID_ACCEPT=FXMainWindow::ID_LAST,
    ID_CANCEL,
    ID_FILE,
    ID_LAST
    };

public:
  // Construct the dialog
  fxmmKeyDialog(FXWindow *owner);
  // Run modal invocation of the dialog
  FXuint execute(FXuint placement=PLACEMENT_CURSOR);
  // Get the key from an input string
  FXString getPassword() const { return pw_input->getText(); }
  // Get the key from a file
  FXbool fileKey();
  // Destroy
  virtual ~fxmmKeyDialog();
  };

#endif //FXMMKEYDIALOG_H
