/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2017 by Luigi Ziviani <luigi.ziviani@gmail.com>.            *
* All Rights Reserved.                            version 10.2.8                *
*********************************************************************************
* Id: nameinputdialog.h,                             2008/01/01                 *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, see <http://www.gnu.org/licenses/>           *
********************************************************************************/
#ifndef NAMEINPUTDIALOG_H
#define NAMEINPUTDIALOG_H

// Input dialog
class NameInputDialog : public FXDialogBox {
  FXDECLARE(NameInputDialog)

protected:
  FXTextField *newname;
  FXIcon *cancelicon;
  FXIcon *accepticon;
  FXVerticalFrame *dialogframe;
  FXHorizontalFrame *buttonsframe;

private:
  NameInputDialog(){}
  NameInputDialog(const NameInputDialog&);

public:
  // Construct input dialog
  NameInputDialog(FXWindow *owner,const FXString& name);
  // get name
  void setNewName(const FXString& nm){ newname->setText(nm); }
  FXString getNewName() const { return newname->getText(); }
  // Destroy
  virtual ~NameInputDialog();
  };

#endif
