/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2017 by Luigi Ziviani <luigi.ziviani@gmail.com>.            *
* All Rights Reserved.                            version 10.2.8                *
*********************************************************************************
* Id: windowplayer.cpp,                              2008/01/01                 *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, see <http://www.gnu.org/licenses/>           *
********************************************************************************/
#include <xincs.h>
#include <fx.h>
#include "config.h"
#include "WindowPlayer.h"

FXDEFMAP(WindowPlayer) WindowPlayerMap[] = {
	//________Message_Type__________ID__________________Message_Handler__________
    FXMAPFUNC(SEL_COMMAND,       WindowPlayer::ID_QUIT,      WindowPlayer::onCmd_Quit),
    FXMAPFUNC(SEL_SIGNAL,        WindowPlayer::ID_QUIT,      WindowPlayer::onCmd_Quit),
};

FXIMPLEMENT(WindowPlayer, FXTopWindow, WindowPlayerMap, ARRAYNUMBER(WindowPlayerMap))

WindowPlayer::WindowPlayer(FXApp *a, const FXString& name,FXIcon *ic,FXIcon *mi,FXuint opts,FXint x,FXint y,FXint w,FXint h,FXint pl,FXint pr,FXint pt,FXint pb,FXint hs,FXint vs)
#ifdef HAVE_LIBFOX_1_7
	:FXTopWindow(a, name, NULL, NULL, DECOR_ALL|PLACEMENT_CURSOR|STACK_TOP, 0,0,w,h, 0,0,0,0, 0,0) {
#elif HAVE_LIBFOX_1_6
	:FXTopWindow(a, name, NULL, NULL, DECOR_ALL|PLACEMENT_CURSOR, 0,0,w,h, 0,0,0,0, 0,0) {
#endif
  setTarget(this);
  setSelector(ID_PLAYERWINDOW);
}

WindowPlayer::~WindowPlayer(){}

long WindowPlayer::onCmd_Quit(FXObject *,FXSelector,void *) {
  // Quit
  getApp()->exit(0);
  return 1;
}

void WindowPlayer::create() {
  getApp()->addSignal(SIGINT,getApp(),WindowPlayer::ID_QUIT);
  getApp()->addSignal(SIGTERM,getApp(),WindowPlayer::ID_QUIT);

  FXTopWindow::create();
  FXTopWindow::show(PLACEMENT_SCREEN);
}



